Search
lxdream.org :: lxdream/Makefile.in :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename Makefile.in
changeset 1:eea311cfd33e
next3:999d7586a739
author nkeynes
date Sat Mar 13 00:03:32 2004 +0000 (15 years ago)
permissions -rw-r--r--
last change This commit was generated by cvs2svn to compensate for changes in r2,
which included commits to RCS files with non-trunk default branches.
file annotate diff log raw
1.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
1.2 +++ b/Makefile.in Sat Mar 13 00:03:32 2004 +0000
1.3 @@ -0,0 +1,563 @@
1.4 +# Makefile.in generated by automake 1.7.9 from Makefile.am.
1.5 +# @configure_input@
1.6 +
1.7 +# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
1.8 +# Free Software Foundation, Inc.
1.9 +# This Makefile.in is free software; the Free Software Foundation
1.10 +# gives unlimited permission to copy and/or distribute it,
1.11 +# with or without modifications, as long as this notice is preserved.
1.12 +
1.13 +# This program is distributed in the hope that it will be useful,
1.14 +# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
1.15 +# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
1.16 +# PARTICULAR PURPOSE.
1.17 +
1.18 +@SET_MAKE@
1.19 +
1.20 +srcdir = @srcdir@
1.21 +top_srcdir = @top_srcdir@
1.22 +VPATH = @srcdir@
1.23 +pkgdatadir = $(datadir)/@PACKAGE@
1.24 +pkglibdir = $(libdir)/@PACKAGE@
1.25 +pkgincludedir = $(includedir)/@PACKAGE@
1.26 +top_builddir = .
1.27 +
1.28 +am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
1.29 +INSTALL = @INSTALL@
1.30 +install_sh_DATA = $(install_sh) -c -m 644
1.31 +install_sh_PROGRAM = $(install_sh) -c
1.32 +install_sh_SCRIPT = $(install_sh) -c
1.33 +INSTALL_HEADER = $(INSTALL_DATA)
1.34 +transform = $(program_transform_name)
1.35 +NORMAL_INSTALL = :
1.36 +PRE_INSTALL = :
1.37 +POST_INSTALL = :
1.38 +NORMAL_UNINSTALL = :
1.39 +PRE_UNINSTALL = :
1.40 +POST_UNINSTALL = :
1.41 +ACLOCAL = @ACLOCAL@
1.42 +AMDEP_FALSE = @AMDEP_FALSE@
1.43 +AMDEP_TRUE = @AMDEP_TRUE@
1.44 +AMTAR = @AMTAR@
1.45 +AUTOCONF = @AUTOCONF@
1.46 +AUTOHEADER = @AUTOHEADER@
1.47 +AUTOMAKE = @AUTOMAKE@
1.48 +AWK = @AWK@
1.49 +CATALOGS = @CATALOGS@
1.50 +CATOBJEXT = @CATOBJEXT@
1.51 +CC = @CC@
1.52 +CCDEPMODE = @CCDEPMODE@
1.53 +CFLAGS = @CFLAGS@
1.54 +CPP = @CPP@
1.55 +CPPFLAGS = @CPPFLAGS@
1.56 +CYGPATH_W = @CYGPATH_W@
1.57 +DATADIRNAME = @DATADIRNAME@
1.58 +DEFS = @DEFS@
1.59 +DEPDIR = @DEPDIR@
1.60 +ECHO_C = @ECHO_C@
1.61 +ECHO_N = @ECHO_N@
1.62 +ECHO_T = @ECHO_T@
1.63 +EGREP = @EGREP@
1.64 +EXEEXT = @EXEEXT@
1.65 +GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
1.66 +GMOFILES = @GMOFILES@
1.67 +GMSGFMT = @GMSGFMT@
1.68 +INSTALL_DATA = @INSTALL_DATA@
1.69 +INSTALL_PROGRAM = @INSTALL_PROGRAM@
1.70 +INSTALL_SCRIPT = @INSTALL_SCRIPT@
1.71 +INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
1.72 +INSTOBJEXT = @INSTOBJEXT@
1.73 +INTLLIBS = @INTLLIBS@
1.74 +LDFLAGS = @LDFLAGS@
1.75 +LIBOBJS = @LIBOBJS@
1.76 +LIBS = @LIBS@
1.77 +LTLIBOBJS = @LTLIBOBJS@
1.78 +MAINT = @MAINT@
1.79 +MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
1.80 +MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
1.81 +MAKEINFO = @MAKEINFO@
1.82 +MKINSTALLDIRS = @MKINSTALLDIRS@
1.83 +MSGFMT = @MSGFMT@
1.84 +OBJEXT = @OBJEXT@
1.85 +PACKAGE = @PACKAGE@
1.86 +PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
1.87 +PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
1.88 +PACKAGE_LIBS = @PACKAGE_LIBS@
1.89 +PACKAGE_NAME = @PACKAGE_NAME@
1.90 +PACKAGE_STRING = @PACKAGE_STRING@
1.91 +PACKAGE_TARNAME = @PACKAGE_TARNAME@
1.92 +PACKAGE_VERSION = @PACKAGE_VERSION@
1.93 +PATH_SEPARATOR = @PATH_SEPARATOR@
1.94 +PKG_CONFIG = @PKG_CONFIG@
1.95 +POFILES = @POFILES@
1.96 +POSUB = @POSUB@
1.97 +PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
1.98 +PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
1.99 +SET_MAKE = @SET_MAKE@
1.100 +SHELL = @SHELL@
1.101 +STRIP = @STRIP@
1.102 +USE_NLS = @USE_NLS@
1.103 +VERSION = @VERSION@
1.104 +XGETTEXT = @XGETTEXT@
1.105 +ac_ct_CC = @ac_ct_CC@
1.106 +ac_ct_STRIP = @ac_ct_STRIP@
1.107 +am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
1.108 +am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
1.109 +am__include = @am__include@
1.110 +am__leading_dot = @am__leading_dot@
1.111 +am__quote = @am__quote@
1.112 +bindir = @bindir@
1.113 +build_alias = @build_alias@
1.114 +datadir = @datadir@
1.115 +exec_prefix = @exec_prefix@
1.116 +host_alias = @host_alias@
1.117 +includedir = @includedir@
1.118 +infodir = @infodir@
1.119 +install_sh = @install_sh@
1.120 +libdir = @libdir@
1.121 +libexecdir = @libexecdir@
1.122 +localstatedir = @localstatedir@
1.123 +mandir = @mandir@
1.124 +oldincludedir = @oldincludedir@
1.125 +prefix = @prefix@
1.126 +program_transform_name = @program_transform_name@
1.127 +sbindir = @sbindir@
1.128 +sharedstatedir = @sharedstatedir@
1.129 +sysconfdir = @sysconfdir@
1.130 +target_alias = @target_alias@
1.131 +
1.132 +SUBDIRS = src po
1.133 +
1.134 +EXTRA_DIST = \
1.135 + autogen.sh \
1.136 + dream.glade \
1.137 + dream.gladep
1.138 +
1.139 +subdir = .
1.140 +ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
1.141 +mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
1.142 +CONFIG_HEADER = config.h
1.143 +CONFIG_CLEAN_FILES =
1.144 +DIST_SOURCES =
1.145 +
1.146 +RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
1.147 + ps-recursive install-info-recursive uninstall-info-recursive \
1.148 + all-recursive install-data-recursive install-exec-recursive \
1.149 + installdirs-recursive install-recursive uninstall-recursive \
1.150 + check-recursive installcheck-recursive
1.151 +DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
1.152 + COPYING ChangeLog INSTALL Makefile.am NEWS acconfig.h \
1.153 + aclocal.m4 config.h.in configure.in depcomp install-sh missing \
1.154 + mkinstalldirs
1.155 +DIST_SUBDIRS = $(SUBDIRS)
1.156 +all: config.h
1.157 + $(MAKE) $(AM_MAKEFLAGS) all-recursive
1.158 +
1.159 +.SUFFIXES:
1.160 +
1.161 +am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
1.162 + configure.lineno
1.163 +$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
1.164 + cd $(top_srcdir) && \
1.165 + $(AUTOMAKE) --gnu Makefile
1.166 +Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
1.167 + cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
1.168 +
1.169 +$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1.170 + $(SHELL) ./config.status --recheck
1.171 +$(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
1.172 + cd $(srcdir) && $(AUTOCONF)
1.173 +
1.174 +$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.in
1.175 + cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1.176 +
1.177 +config.h: stamp-h1
1.178 + @if test ! -f $@; then \
1.179 + rm -f stamp-h1; \
1.180 + $(MAKE) stamp-h1; \
1.181 + else :; fi
1.182 +
1.183 +stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
1.184 + @rm -f stamp-h1
1.185 + cd $(top_builddir) && $(SHELL) ./config.status config.h
1.186 +
1.187 +$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
1.188 + cd $(top_srcdir) && $(AUTOHEADER)
1.189 + touch $(srcdir)/config.h.in
1.190 +
1.191 +distclean-hdr:
1.192 + -rm -f config.h stamp-h1
1.193 +uninstall-info-am:
1.194 +
1.195 +# This directory's subdirectories are mostly independent; you can cd
1.196 +# into them and run `make' without going through this Makefile.
1.197 +# To change the values of `make' variables: instead of editing Makefiles,
1.198 +# (1) if the variable is set in `config.status', edit `config.status'
1.199 +# (which will cause the Makefiles to be regenerated when you run `make');
1.200 +# (2) otherwise, pass the desired values on the `make' command line.
1.201 +$(RECURSIVE_TARGETS):
1.202 + @set fnord $$MAKEFLAGS; amf=$$2; \
1.203 + dot_seen=no; \
1.204 + target=`echo $@ | sed s/-recursive//`; \
1.205 + list='$(SUBDIRS)'; for subdir in $$list; do \
1.206 + echo "Making $$target in $$subdir"; \
1.207 + if test "$$subdir" = "."; then \
1.208 + dot_seen=yes; \
1.209 + local_target="$$target-am"; \
1.210 + else \
1.211 + local_target="$$target"; \
1.212 + fi; \
1.213 + (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1.214 + || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
1.215 + done; \
1.216 + if test "$$dot_seen" = "no"; then \
1.217 + $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1.218 + fi; test -z "$$fail"
1.219 +
1.220 +mostlyclean-recursive clean-recursive distclean-recursive \
1.221 +maintainer-clean-recursive:
1.222 + @set fnord $$MAKEFLAGS; amf=$$2; \
1.223 + dot_seen=no; \
1.224 + case "$@" in \
1.225 + distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1.226 + *) list='$(SUBDIRS)' ;; \
1.227 + esac; \
1.228 + rev=''; for subdir in $$list; do \
1.229 + if test "$$subdir" = "."; then :; else \
1.230 + rev="$$subdir $$rev"; \
1.231 + fi; \
1.232 + done; \
1.233 + rev="$$rev ."; \
1.234 + target=`echo $@ | sed s/-recursive//`; \
1.235 + for subdir in $$rev; do \
1.236 + echo "Making $$target in $$subdir"; \
1.237 + if test "$$subdir" = "."; then \
1.238 + local_target="$$target-am"; \
1.239 + else \
1.240 + local_target="$$target"; \
1.241 + fi; \
1.242 + (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1.243 + || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
1.244 + done && test -z "$$fail"
1.245 +tags-recursive:
1.246 + list='$(SUBDIRS)'; for subdir in $$list; do \
1.247 + test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
1.248 + done
1.249 +ctags-recursive:
1.250 + list='$(SUBDIRS)'; for subdir in $$list; do \
1.251 + test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
1.252 + done
1.253 +
1.254 +ETAGS = etags
1.255 +ETAGSFLAGS =
1.256 +
1.257 +CTAGS = ctags
1.258 +CTAGSFLAGS =
1.259 +
1.260 +tags: TAGS
1.261 +
1.262 +ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1.263 + list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1.264 + unique=`for i in $$list; do \
1.265 + if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1.266 + done | \
1.267 + $(AWK) ' { files[$$0] = 1; } \
1.268 + END { for (i in files) print i; }'`; \
1.269 + mkid -fID $$unique
1.270 +
1.271 +TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
1.272 + $(TAGS_FILES) $(LISP)
1.273 + tags=; \
1.274 + here=`pwd`; \
1.275 + if (etags --etags-include --version) >/dev/null 2>&1; then \
1.276 + include_option=--etags-include; \
1.277 + else \
1.278 + include_option=--include; \
1.279 + fi; \
1.280 + list='$(SUBDIRS)'; for subdir in $$list; do \
1.281 + if test "$$subdir" = .; then :; else \
1.282 + test -f $$subdir/TAGS && \
1.283 + tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
1.284 + fi; \
1.285 + done; \
1.286 + list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
1.287 + unique=`for i in $$list; do \
1.288 + if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1.289 + done | \
1.290 + $(AWK) ' { files[$$0] = 1; } \
1.291 + END { for (i in files) print i; }'`; \
1.292 + test -z "$(ETAGS_ARGS)$$tags$$unique" \
1.293 + || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1.294 + $$tags $$unique
1.295 +
1.296 +ctags: CTAGS
1.297 +CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
1.298 + $(TAGS_FILES) $(LISP)
1.299 + tags=; \
1.300 + here=`pwd`; \
1.301 + list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
1.302 + unique=`for i in $$list; do \
1.303 + if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1.304 + done | \
1.305 + $(AWK) ' { files[$$0] = 1; } \
1.306 + END { for (i in files) print i; }'`; \
1.307 + test -z "$(CTAGS_ARGS)$$tags$$unique" \
1.308 + || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1.309 + $$tags $$unique
1.310 +
1.311 +GTAGS:
1.312 + here=`$(am__cd) $(top_builddir) && pwd` \
1.313 + && cd $(top_srcdir) \
1.314 + && gtags -i $(GTAGS_ARGS) $$here
1.315 +
1.316 +distclean-tags:
1.317 + -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1.318 +DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
1.319 +
1.320 +top_distdir = .
1.321 +distdir = $(PACKAGE)-$(VERSION)
1.322 +
1.323 +am__remove_distdir = \
1.324 + { test ! -d $(distdir) \
1.325 + || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
1.326 + && rm -fr $(distdir); }; }
1.327 +
1.328 +GZIP_ENV = --best
1.329 +distuninstallcheck_listfiles = find . -type f -print
1.330 +distcleancheck_listfiles = find . -type f -print
1.331 +
1.332 +distdir: $(DISTFILES)
1.333 + $(am__remove_distdir)
1.334 + mkdir $(distdir)
1.335 + $(mkinstalldirs) $(distdir)/po
1.336 + @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1.337 + topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
1.338 + list='$(DISTFILES)'; for file in $$list; do \
1.339 + case $$file in \
1.340 + $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1.341 + $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
1.342 + esac; \
1.343 + if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1.344 + dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
1.345 + if test "$$dir" != "$$file" && test "$$dir" != "."; then \
1.346 + dir="/$$dir"; \
1.347 + $(mkinstalldirs) "$(distdir)$$dir"; \
1.348 + else \
1.349 + dir=''; \
1.350 + fi; \
1.351 + if test -d $$d/$$file; then \
1.352 + if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1.353 + cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1.354 + fi; \
1.355 + cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1.356 + else \
1.357 + test -f $(distdir)/$$file \
1.358 + || cp -p $$d/$$file $(distdir)/$$file \
1.359 + || exit 1; \
1.360 + fi; \
1.361 + done
1.362 + list='$(SUBDIRS)'; for subdir in $$list; do \
1.363 + if test "$$subdir" = .; then :; else \
1.364 + test -d $(distdir)/$$subdir \
1.365 + || mkdir $(distdir)/$$subdir \
1.366 + || exit 1; \
1.367 + (cd $$subdir && \
1.368 + $(MAKE) $(AM_MAKEFLAGS) \
1.369 + top_distdir="$(top_distdir)" \
1.370 + distdir=../$(distdir)/$$subdir \
1.371 + distdir) \
1.372 + || exit 1; \
1.373 + fi; \
1.374 + done
1.375 + $(MAKE) $(AM_MAKEFLAGS) \
1.376 + top_distdir="$(top_distdir)" distdir="$(distdir)" \
1.377 + dist-hook
1.378 + -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
1.379 + ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
1.380 + ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
1.381 + ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
1.382 + || chmod -R a+r $(distdir)
1.383 +dist-gzip: distdir
1.384 + $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1.385 + $(am__remove_distdir)
1.386 +
1.387 +dist dist-all: distdir
1.388 + $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1.389 + $(am__remove_distdir)
1.390 +
1.391 +# This target untars the dist file and tries a VPATH configuration. Then
1.392 +# it guarantees that the distribution is self-contained by making another
1.393 +# tarfile.
1.394 +distcheck: dist
1.395 + $(am__remove_distdir)
1.396 + GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
1.397 + chmod -R a-w $(distdir); chmod a+w $(distdir)
1.398 + mkdir $(distdir)/_build
1.399 + mkdir $(distdir)/_inst
1.400 + chmod a-w $(distdir)
1.401 + dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
1.402 + && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
1.403 + && cd $(distdir)/_build \
1.404 + && ../configure --srcdir=.. --prefix="$$dc_install_base" \
1.405 + $(DISTCHECK_CONFIGURE_FLAGS) \
1.406 + && $(MAKE) $(AM_MAKEFLAGS) \
1.407 + && $(MAKE) $(AM_MAKEFLAGS) dvi \
1.408 + && $(MAKE) $(AM_MAKEFLAGS) check \
1.409 + && $(MAKE) $(AM_MAKEFLAGS) install \
1.410 + && $(MAKE) $(AM_MAKEFLAGS) installcheck \
1.411 + && $(MAKE) $(AM_MAKEFLAGS) uninstall \
1.412 + && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
1.413 + distuninstallcheck \
1.414 + && chmod -R a-w "$$dc_install_base" \
1.415 + && ({ \
1.416 + (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
1.417 + && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
1.418 + && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
1.419 + && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
1.420 + distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
1.421 + } || { rm -rf "$$dc_destdir"; exit 1; }) \
1.422 + && rm -rf "$$dc_destdir" \
1.423 + && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
1.424 + && rm -f $(distdir).tar.gz \
1.425 + && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
1.426 + $(am__remove_distdir)
1.427 + @echo "$(distdir).tar.gz is ready for distribution" | \
1.428 + sed 'h;s/./=/g;p;x;p;x'
1.429 +distuninstallcheck:
1.430 + @cd $(distuninstallcheck_dir) \
1.431 + && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
1.432 + || { echo "ERROR: files left after uninstall:" ; \
1.433 + if test -n "$(DESTDIR)"; then \
1.434 + echo " (check DESTDIR support)"; \
1.435 + fi ; \
1.436 + $(distuninstallcheck_listfiles) ; \
1.437 + exit 1; } >&2
1.438 +distcleancheck: distclean
1.439 + @if test '$(srcdir)' = . ; then \
1.440 + echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1.441 + exit 1 ; \
1.442 + fi
1.443 + @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1.444 + || { echo "ERROR: files left in build directory after distclean:" ; \
1.445 + $(distcleancheck_listfiles) ; \
1.446 + exit 1; } >&2
1.447 +check-am: all-am
1.448 +check: check-recursive
1.449 +all-am: Makefile config.h
1.450 +installdirs: installdirs-recursive
1.451 +installdirs-am:
1.452 +
1.453 +install: install-recursive
1.454 +install-exec: install-exec-recursive
1.455 +install-data: install-data-recursive
1.456 +uninstall: uninstall-recursive
1.457 +
1.458 +install-am: all-am
1.459 + @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1.460 +
1.461 +installcheck: installcheck-recursive
1.462 +install-strip:
1.463 + $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1.464 + install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1.465 + `test -z '$(STRIP)' || \
1.466 + echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1.467 +mostlyclean-generic:
1.468 +
1.469 +clean-generic:
1.470 +
1.471 +distclean-generic:
1.472 + -rm -f $(CONFIG_CLEAN_FILES)
1.473 +
1.474 +maintainer-clean-generic:
1.475 + @echo "This command is intended for maintainers to use"
1.476 + @echo "it deletes files that may require special tools to rebuild."
1.477 +clean: clean-recursive
1.478 +
1.479 +clean-am: clean-generic mostlyclean-am
1.480 +
1.481 +distclean: distclean-recursive
1.482 + -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1.483 + -rm -f Makefile
1.484 +distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
1.485 +
1.486 +dvi: dvi-recursive
1.487 +
1.488 +dvi-am:
1.489 +
1.490 +info: info-recursive
1.491 +
1.492 +info-am:
1.493 +
1.494 +install-data-am: install-data-local
1.495 +
1.496 +install-exec-am:
1.497 +
1.498 +install-info: install-info-recursive
1.499 +
1.500 +install-man:
1.501 +
1.502 +installcheck-am:
1.503 +
1.504 +maintainer-clean: maintainer-clean-recursive
1.505 + -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1.506 + -rm -rf $(top_srcdir)/autom4te.cache
1.507 + -rm -f Makefile
1.508 +maintainer-clean-am: distclean-am maintainer-clean-generic
1.509 +
1.510 +mostlyclean: mostlyclean-recursive
1.511 +
1.512 +mostlyclean-am: mostlyclean-generic
1.513 +
1.514 +pdf: pdf-recursive
1.515 +
1.516 +pdf-am:
1.517 +
1.518 +ps: ps-recursive
1.519 +
1.520 +ps-am:
1.521 +
1.522 +uninstall-am: uninstall-info-am
1.523 +
1.524 +uninstall-info: uninstall-info-recursive
1.525 +
1.526 +.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
1.527 + clean-generic clean-recursive ctags ctags-recursive dist \
1.528 + dist-all dist-gzip distcheck distclean distclean-generic \
1.529 + distclean-hdr distclean-recursive distclean-tags distcleancheck \
1.530 + distdir distuninstallcheck dvi dvi-am dvi-recursive info \
1.531 + info-am info-recursive install install-am install-data \
1.532 + install-data-am install-data-local install-data-recursive \
1.533 + install-exec install-exec-am install-exec-recursive \
1.534 + install-info install-info-am install-info-recursive install-man \
1.535 + install-recursive install-strip installcheck installcheck-am \
1.536 + installdirs installdirs-am installdirs-recursive \
1.537 + maintainer-clean maintainer-clean-generic \
1.538 + maintainer-clean-recursive mostlyclean mostlyclean-generic \
1.539 + mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
1.540 + ps-recursive tags tags-recursive uninstall uninstall-am \
1.541 + uninstall-info-am uninstall-info-recursive uninstall-recursive
1.542 +
1.543 +
1.544 +install-data-local:
1.545 + @$(NORMAL_INSTALL)
1.546 + if test -d $(srcdir)/pixmaps; then \
1.547 + $(mkinstalldirs) $(DESTDIR)$(datadir)/pixmaps/$(PACKAGE); \
1.548 + for pixmap in $(srcdir)/pixmaps/*; do \
1.549 + if test -f $$pixmap; then \
1.550 + $(INSTALL_DATA) $$pixmap $(DESTDIR)$(datadir)/pixmaps/$(PACKAGE); \
1.551 + fi \
1.552 + done \
1.553 + fi
1.554 +
1.555 +dist-hook:
1.556 + if test -d pixmaps; then \
1.557 + mkdir $(distdir)/pixmaps; \
1.558 + for pixmap in pixmaps/*; do \
1.559 + if test -f $$pixmap; then \
1.560 + cp -p $$pixmap $(distdir)/pixmaps; \
1.561 + fi \
1.562 + done \
1.563 + fi
1.564 +# Tell versions [3.59,3.63) of GNU make to not export all variables.
1.565 +# Otherwise a system limit (for SysV at least) may be exceeded.
1.566 +.NOEXPORT:
.